Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.navtree
Class AdminTreeBrowser

    java.lang.Object
      org.jboss.console.navtree.AdminTreeBrowser

public class AdminTreeBrowser
extends Object

Holder of the browser tree and associated handlers. Can then be embedded in any code such as applet code. Specific actions are handled through a TreeContext callback object used to communicate between this object and its container.

Version:
  $Revision: 1.6 $
Author:
  Sacha Labourey.
See Also:
  `TreeContext`, `AppletBrowser`

Nested Class Summary
`class` | `AdminTreeBrowser.OpenNodeAccounter`
`class` | `AdminTreeBrowser.PopupMenuMgr`

Field Summary
`static String` | `RIGHT_FRAME_NAME`

Constructor Summary
`AdminTreeBrowser(TreeContext ctx)` Creates new form AppletTreeBrowser

Method Summary
`TreeCellRenderer` | `getCellRenderer()`
`TreeSelectionListener` | `getSelectionListener()`
`JTree` | `getTree()`
`TreeModel` | `getTreeModel()`
`void` | `refreshTree(boolean force)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RIGHT_FRAME_NAME

    public static final String RIGHT_FRAME_NAME

See Also:
  Constant Field Values

Constructor Detail

### AdminTreeBrowser

    public AdminTreeBrowser(TreeContext ctx)
                     throws Exception

  Creates new form AppletTreeBrowser

Method Detail

### refreshTree

    public void refreshTree(boolean force)

### getCellRenderer

    public TreeCellRenderer getCellRenderer()

### getTreeModel

    public TreeModel getTreeModel()

### getSelectionListener

    public TreeSelectionListener getSelectionListener()

### getTree

    public JTree getTree()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.